You are here

OpenFOAM, OpenFOAM+ and OpenFOAM Extend

Software Versions

Software Version System Usage Notes
OpenFOAM, OpenFOAM+ and OpenFOAM Extend v1606+ Bugaboo

To set up your environment to use version v1606+ from the OpenFOAM+ distribution, use

module load openfoam/1606

OpenFOAM, OpenFOAM+ and OpenFOAM Extend foam-extend-3.1 Parallel

Initialize your environment with

export FOAM_INST_DIR=/global/software/openfoam
source $FOAM_INST_DIR/foam-extend-3.1_20140710/etc/bashrc

See the main WestGrid OpenFOAM page for a sample batch job script.

OpenFOAM, OpenFOAM+ and OpenFOAM Extend foam-extend-3.1 Bugaboo

module load openfoam/foam-extend-3.1

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 4.1 Parallel

See the main WestGrid OpenFOAM page for a sample batch job script.

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.3.0 Grex

Installed using Intel Compilers 14.0.2.144 and openmpi 1.8.3. It includes Paraview 4.1.0. To use it, please load the module

module load openfoam/2.3.0

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.3.0 Orcinus

Set up your environment to use OpenFOAM with

module load openfoam

Note, as of this writing (2014-12-22), module show openfoam includes the caution that the installation is not ready for production and does not include the ParaView visualization support for OpenFOAM.

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.3.0 Bugaboo

module load openfoam/2.3.0

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.3.0 Parallel

See the main WestGrid OpenFOAM page for a sample batch job script.

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.2.1 Bugaboo

module load openfoam

OpenFOAM, OpenFOAM+ and OpenFOAM Extend 2.2.1 Parallel

See main WestGrid OpenFOAM page.